> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.givechariot.com/v2026-04-01/api/overview/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.givechariot.com/_mcp/server. # API Reference The Chariot API is organized around REST. Our API has predictable resource-oriented URLs, accepts JSON-encoded request bodies, returns JSON-encoded responses, and uses standard HTTP response codes, authentication, and verbs. > **Issues, Ideas or Feedback** > > If you feel like something is missing from our API docs, feel free to create an **Issue** on our [OpenAPI GitHub repo](https://github.com/chariot-giving/chariot-openapi). ## API protocols and headers The Chariot API uses standard HTTP response codes to indicate status and errors. All responses come in standard JSON. The Chariot API is served over HTTPS TLS v1.2+ to ensure data privacy; HTTP and HTTPS with TLS versions below 1.2 are not supported. All requests with a payload must include a Content-Type of application/JSON and the body must be valid JSON. Every Chariot API response includes a request\_id as the `X-Request-Id` header. The request\_id is included whether the API request succeeded or failed. For faster support, include the request\_id when contacting support regarding a specific API call. ## API host ### Just Getting Started? Check out our [Development Quickstart](/guides/getting-started/quickstart) guide. ### Not a Developer? Check out our [Implementation Guide](/guides/dafpay/implementation) for a high-level overview of how to integrate Chariot into your website. **`Base URL`** ```curl Base URL https://api.givechariot.com ``` ### Client Libraries We offer a variety of client libraries to make integrating with our API easier. Check out our [Software Development Kits](/api/sdks) page for a list of available SDKs and installation instructions. #### [Software Development Kits](/api/sdks) Explore our list of client libraries and SDKs to simplify your integration with the Chariot API. Chariot has two environments: Sandbox and Production. The Sandbox environment supports only test data. All activity in the Production environment is real. Production API requests should be to `https://api.givechariot.com` and sandbox requests should be to `https://sandboxapi.givechariot.com`. When you’re getting ready to launch into production, please let us know by emailing [support@givechariot.com](mailto:support@givechariot.com) to get your production credentials. We strongly encourage you to read through the [Implementation Guide](/guides/dafpay/implementation) to understand best practices for creating a successful DAFpay integration with Chariot. > A comprehensive reference for using the Chariot API endpoints